package com.yeejoin.amos.boot.module.tcm.api.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.boot.module.common.api.dto.ESTaskDetailDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PatrolMapper extends BaseMapper {

    List<ESTaskDetailDto> findAllByTaskNos(@Param("taskNos") List<String> taskNos);

    void deleteAllPlanTaskDetailByTaskNos(@Param("taskNos") List<String> taskNos);

    void deleteAllPlanTaskById(@Param("ids") List<String> ids);


    List<String> selectPlanTaskIdsByUseCode(@Param("useCode") String useCode);
}
